#include <iostream>

using namespace std; 

int main(){
	ios::sync_with_stdio(false); 
	cin.tie(0); 
	cout.tie(0); 
	int n; 
	cin>>n; 
	if(n < 27) cout<<0; 
	else{
	    char c[n]; 
	    cin>>c; 
	    int brSlova[26]; 
	    for(int i = 0 ; i < 26 ; i++){
		    brSlova[i] = 0; 
	    }
	    for(int i = 0 ; i < n ; i++){
		    brSlova[((int)c[i]-65)]++; 
	    }
	    int br = 0; 
	    for(int i = 0 ; i < 26 ; i++){
		    if(brSlova[i] > 1) br += brSlova[i] - 1; 
	    }
	    cout<<br+1; 
	}
	return 0; 
}